org.apache.ignite.internal.processors.query

## Class QueryTypeNameKey

- java.lang.Object
- - org.apache.ignite.internal.processors.query.QueryTypeNameKey

    public class QueryTypeNameKey
    extends Object

Query type name key.

### Constructor Summary

Constructors
Constructor and Description
`QueryTypeNameKey(String cacheName, String typeName)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object o)`
`int` `hashCode()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### QueryTypeNameKey

    public QueryTypeNameKey(@Nullable
                            String cacheName,
                            String typeName)

Parameters:
  `cacheName` - Cache name.
  `typeName` - Type name.

### Method Detail

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.6.0
Release Date | : July 10 2018